// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Outputs
{

    [OutputType]
    public sealed class NodeConfig
    {
        public readonly Outputs.ConnectionConfig? Connection;
        public readonly Outputs.DiskConfig Disks;
        public readonly string Host;

        [OutputConstructor]
        private NodeConfig(
            Outputs.ConnectionConfig? connection,

            Outputs.DiskConfig disks,

            string host)
        {
            Connection = connection;
            Disks = disks;
            Host = host;
        }
    }
}
